#
# spec file for package google-glog
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           google-glog
Version:        0.3.3
Release:        11.1
Summary:        Logging library for C++
License:        BSD-3-Clause
Group:          System/Libraries
Url:            http://code.google.com/p/google-glog/
Source:         https://google-glog.googlecode.com/files/glog-%{version}.tar.gz
BuildRequires:  gcc-c++
BuildRequires:  pkg-config
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The glog library implements application-level logging. 
This library provides logging APIs based on C++-style 
streams and various helper macros.

%package -n libglog0
Summary:        Logging library for C++
Group:          System/Libraries

%description -n libglog0
The glog library implements application-level logging. 
This library provides logging APIs based on C++-style 
streams and various helper macros.

%package -n glog-devel
Summary:        Header files for libglog0
Group:          Development/Libraries/C and C++
Requires:       libglog0 = %{version}

%description -n glog-devel
The glog library implements application-level logging. 
This library provides logging APIs based on C++-style 
streams and various helper macros.

This package provides development files for libglog0.

%prep
%setup -q -n glog-%{version}

%build
./configure --prefix=%{_prefix} --libdir=%{_libdir} --docdir=%{_docdir}
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install

rm -rf %{buildroot}%{_libdir}/*.{a,la}

mkdir -p %{buildroot}%{_docdir}/%{name}
mv %{buildroot}%{_datadir}/doc/glog-%{version}/* %{buildroot}%{_docdir}/%{name}/
rm -rf %{buildroot}%{_docdir}/%{name}/INSTALL
install COPYING %{buildroot}%{_docdir}/%{name}

%post -n libglog0 -p /sbin/ldconfig

%postun -n libglog0 -p /sbin/ldconfig

%files -n libglog0
%defattr(-,root,root)
%{_libdir}/libglog.so.0
%{_libdir}/libglog.so.0.0.0
%doc %{_docdir}/%{name}

%files -n glog-devel
%defattr(-,root,root)
%{_includedir}/glog/
%{_libdir}/libglog.so
%{_libdir}/pkgconfig/libglog.pc

%changelog
* Mon Feb 29 2016 qzhao@suse.com
- Make source code's COPYING file install.
* Sat Jun 29 2013 i@marguerite.su
- update version 0.3.3
  * Add --disable-rtti option for configure.
  * Visual Studio build and test fix.
  * QNX build fix (thanks vanuan).
  * Reduce warnings.
  * Fixed LOG_SYSRESULT (thanks ukai).
  * FreeBSD build fix (thanks yyanagisawa).
  * Clang build fix.
  * Now users can re-initialize glog after ShutdownGoogleLogging.
  * Color output support by GLOG_colorlogtostderr (thanks alexs).
  * Now glog's ABI around flags are compatible with gflags.
  * Document mentions how to modify flags from user programs.
* Thu Oct 11 2012 i@marguerite.su
- initial version 0.3.2
  * Clang support.
  * Demangler and stacktrace improvement for newer GCCs.
  * Now fork(2) doesn't mess up log files.
  * Make valgrind happier.
  * Reduce warnings for more -W options.
  * Provide a workaround for ERROR defined by windows.h.
